
Katello - Bug #4856

Katello with no packages ever synced results in error when listing empty version

03/25/2014 10:15 PM - Justin Sherrill

Status: Closed   

Priority: Low   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. Install Katello

2. DO NOTHING ELSE

3. Create a content View

4. Publish to a new version

No versions will be listed because the server will return a 500 error due to the package and errata indexes not being created.

Associated revisions

Revision 30070400 - 03/27/2014 08:46 PM - Justin Sherrill

fixes #4856 - fix content view version retrieval when no content exists

Revision 948e3955 - 04/01/2014 07:15 PM - Justin Sherrill

Merge pull request #3887 from jlsherrill/no_pkgs

fixes #4856 - fix content view version retrieval when no content exists

History

#1 - 03/26/2014 10:46 PM - Mike McCune

- Triaged changed from No to Yes

#2 - 03/27/2014 01:26 PM - Justin Sherrill

- Status changed from New to Assigned

#3 - 04/01/2014 07:52 PM - Justin Sherrill

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:300704009c4403c055b3ca6f65fc81bb426ff0cd.

#4 - 08/21/2014 02:37 PM - Eric Helms

- translation missing: en.field_release set to 13
